TDataFilterChained< D > Class Template Reference

`#include <mia/core/filter.hh>`

Inheritance diagram for TDataFilterChained< D >:
[legend]
Collaboration diagram for TDataFilterChained< D >:
[legend]

## Public Types

typedef TDataFilter< D >::Pointer | Pointer
Public Types inherited from TDataFilter< D >
typedef D | Image
| defines the image type handled by the image filter
typedef D | plugin_data
| plugin handler helper type
typedef filter_type | plugin_type
| plugin handler helper type
typedef std::shared_ptr< TDataFilter< D > > | Pointer
| pointer type of the data filtered by this filter
typedef TFilter< std::shared_ptr< D > >::result_type | result_type
| result type of this filter
Public Types inherited from TFilter< std::shared_ptr< D > >
typedef std::shared_ptr< D > | result_type
| defines the return type of the filter function
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

void | push_back (Pointer f)
Public Member Functions inherited from TDataFilter< D >
result_type | filter (const Image &image) const
result_type | filter (std::shared_ptr< D > pimage) const
std::set< EPixelType > | test_pixeltype_conversion (const std::set< EPixelType > &in_types) const
virtual | ~TDataFilter ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Detailed Description

template<class D>
class TDataFilterChained< D >

Definition at line 132 of file core/filter.hh.

## Member Typedef Documentation

## Pointer

template<class D>

typedef TDataFilter<D>::Pointer TDataFilterChained< D >::Pointer

Definition at line 136 of file core/filter.hh.

## Member Function Documentation

## push_back()

template<class D>

void TDataFilterChained< D >::push_back | ( | Pointer | f | ) |

inline

Definition at line 138 of file core/filter.hh.

The documentation for this class was generated from the following file:

- core/filter.hh